Create Group

The Create Group service will accept form-encoded data representing a new group and will create a new group in the Pushpay system. The service returns the profile of the group that was created.

Service Name

create_group

Required Parameters

NameTypeDescription
namestring[50]
campus_idinteger
main_leader_idintegerLeader can not be a limited access user or inactive

Optional Parameters

NameTypeDescription
descriptionstring
group_type_idinteger
department_idinteger
area_idinteger
group_capacityinteger
meeting_location_street_addressstring[150]
meeting_location_citystring[50]
meeting_location_statestring[1–5]Must be uppercase characters
meeting_location_zipstring[10]
meeting_day_idinteger
meeting_time_idinteger
childcare_providedbooleandefault false
interaction_typestringdefault 'Announcement Only' Must be one of the following: 'Announcement Only'; 'Members Interact'; 'Administrative'
membership_typestringdefault 'Invitation or Request Required' Must be one of the following: 'Open to All'; 'Invitation or Request Required'
listedbooleandefault true
public_search_listedbooleandefault false
udf_group_pulldown_1_idinteger
udf_group_pulldown_2_idinteger
udf_group_pulldown_3_idinteger

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=create_group&campus_id=1&name=ApiTestGroup&main_leader_id=1"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="create_group" name="srv"/>
    </parameters>
  </request>
  <response>
    <service>create_group</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <groups count="1">
      <group id="41">
        <name>New group created via API</name>
        <description>None</description>
        <image>https://cdn3.ccbchurch.com/preSTABLE/images/group-default.gif</image>
        <campus id="1">Church of Cucumbers</campus>
        <main_leader id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">(012) 345-6789</phone>
          </phones>
        </main_leader>
        <leaders/>
        <participants/>
        <group_type id="1">Care / Small Group</group_type>
        <department id="0"></department>
        <area id="0"></area>
        <calendar_feed>webcal://testing_stable.ccbchurch.com/group_calendar.ics?id=41&tk=VVNY5RHV2V5PBJP3AFCRBR54PA2C7FHM</calendar_feed>
        <registration_forms/>
        <current_members>1</current_members>
        <group_capacity>Unlimited</group_capacity>
        <addresses/>
        <meeting_day id="0"></meeting_day>
        <meeting_time id="0"></meeting_time>
        <childcare_provided>false</childcare_provided>
        <interaction_type>Members Interact</interaction_type>
        <membership_type>Invitation or Request Required</membership_type>
        <notification>false</notification>
        <user_defined_fields/>
        <listed>true</listed>
        <public_search_listed>false</public_search_listed>
        <inactive>false</inactive>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>2014-01-28 10:25:57</created>
        <modified>2014-01-28 10:25:57</modified>
      </group>
    </groups>
  </response>
</ccb_api>